Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# IdUniquenessPolicyC.h File Reference

`#include "ace/config-all.h"`
`#include "portableserver_export.h"`
`#include "tao/ORB.h"`
`#include "tao/SystemException.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/PolicyC.h"`

Include dependency graph for IdUniquenessPolicyC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | PortableServer
namespace | TAO
## Classes
interface | PortableServer::IdUniquenessPolicy
struct | TAO::Objref_Traits< ::PortableServer::IdUniquenessPolicy >
## Defines
#define | TAO_EXPORT_MACRO TAO_PortableServer_Export
#define | _PORTABLESERVER_IDUNIQUENESSPOLICY__VAR_OUT_CH_
#define | _PORTABLESERVER_IDUNIQUENESSPOLICY_CH_
#define | _PORTABLESERVER_IDUNIQUENESSPOLICY__TRAITS_
## Typedefs
typedef IdUniquenessPolicyValue & | IdUniquenessPolicyValue_out
typedef IdUniquenessPolicy * | IdUniquenessPolicy_ptr
typedef TAO_Objref_Var_T< IdUniquenessPolicy > | IdUniquenessPolicy_var
typedef TAO_Objref_Out_T< IdUniquenessPolicy > | IdUniquenessPolicy_out
## Enumerations
enum | IdUniquenessPolicyValue { UNIQUE_ID, MULTIPLE_ID }
## Functions
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, PortableServer::IdUniquenessPolicyValue)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableServer::IdUniquenessPolicyValue &)

## Define Documentation

#define _PORTABLESERVER_IDUNIQUENESSPOLICY__TRAITS_

#define _PORTABLESERVER_IDUNIQUENESSPOLICY__VAR_OUT_CH_

#define _PORTABLESERVER_IDUNIQUENESSPOLICY_CH_

#define TAO_EXPORT_MACRO TAO_PortableServer_Export

## Typedef Documentation

typedef TAO_Objref_Out_T< IdUniquenessPolicy > PortableServer::IdUniquenessPolicy_out

typedef IdUniquenessPolicy* PortableServer::IdUniquenessPolicy_ptr

typedef TAO_Objref_Var_T< IdUniquenessPolicy > PortableServer::IdUniquenessPolicy_var

typedef IdUniquenessPolicyValue& PortableServer::IdUniquenessPolicyValue_out

## Enumeration Type Documentation

enum IdUniquenessPolicyValue

  | Enumeration values:
  UNIQUE_ID |
  MULTIPLE_ID |

## Function Documentation

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | PortableServer::IdUniquenessPolicyValue |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | PortableServer::IdUniquenessPolicyValue & |
| ) |